$board-field-size: rhythm(22.5) !default;
$board-line-size: 5px !default;
$board-line-color: color('black') !default;


.#{$namespace}-board {
  position: relative;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr;
  grid-gap: $board-line-size;
  align-content: space-between;
  justify-content: space-between;
  width: $board-field-size;
  height: $board-field-size;
  margin: 0;
  padding: 0;
  list-style: none;

  &::before {
    content: '';
    position: absolute;
    top: 1px;
    right: 1px;
    bottom: 1px;
    left: 1px;
    background: $board-line-color;
    z-index: 0;
  }
}


@include respond-to('medium') {
  .#{$namespace}-board {
    width: rhythm(15);
    height: rhythm(15);
  }
}
